var index =
[
    [ "Introduction", "introduction.html", [
      [ "Motivation", "introduction.html#intro_motivation", null ],
      [ "General Description", "introduction.html#intro_general_description", null ],
      [ "Production Nodes", "introduction.html#intro_nodes", null ],
      [ "Nodes Types", "introduction.html#intro_node_types", null ],
      [ "Capabilities", "introduction.html#intro_caps", null ],
      [ "Modules", "introduction.html#intro_modules", null ],
      [ "Backwards Compatibility", "introduction.html#intro_bc", null ],
      [ "Choosing C over C++", "introduction.html#intro_choosing_c", null ],
      [ "C++ Wrappers", "introduction.html#intro_cpp", null ]
    ] ],
    [ "Concepts", "concepts.html", [
      [ "Contexts", "conc_context.html", null ],
      [ "The Production Graph", "prod_graph.html", [
        [ "Enumerating the Registered Modules", "prod_graph.html#enum_reg_mdls", null ],
        [ "Creating Production Nodes", "prod_graph.html#crt_prd_nds", null ],
        [ "Enumerating to Create Production Nodes", "prod_graph.html#enum_to_crt_prd_nds", null ],
        [ "Enumerating with Constraints", "prod_graph.html#enuming_with_constraints", null ],
        [ "Enumerating only for a Particular Type", "prod_graph.html#enuming_for_type", null ],
        [ "Node Handles", "prod_graph.html#nod_hndls", null ],
        [ "Building the Production Graph", "prod_graph.html#bld_prod_graph", null ]
      ] ],
      [ "Reference Counting", "conc_refcount.html", null ],
      [ "Data Generation", "conc_generation.html", null ],
      [ "Making Data Available using the WaitXUpdateAll() Methods", "conc_updating_data.html", [
        [ "'Wait and Update' Methods", "conc_updating_data.html#conc_updating_data__summary_of_wait_fns", null ],
        [ "In Depth", "conc_updating_data.html#conc_updating_data__in_depth", null ],
        [ "Sample Code", "conc_updating_data.html#conc_updating_data__sample_code_cmn", null ]
      ] ],
      [ "Capabilities Mechanism", "conc_capabilities.html", null ],
      [ "Coordinate Systems", "conc_coord.html", null ],
      [ "Map Wrapper Classes", "conc_map_wrapper_classes.html", null ],
      [ "Frame Objects and Metadata Objects", "conc_meta_data.html", null ],
      [ "Sharing Devices Between Applications and Locking Nodes", "conc_locks.html", null ],
      [ "Global Mirror", "conc_global_mirror.html", null ],
      [ "Global Error State", "conc_error_state.html", null ],
      [ "Events and Handlers", "conc_events.html", [
        [ "Common Parameters for Events: Registration Methods and Handlers", "conc_events.html#event_cmn_params", [
          [ "Registering to Events", "conc_events.html#reg_to_events", null ],
          [ "Unregistering from Events", "conc_events.html#unreg_from_events", null ]
        ] ],
        [ "Configuration Change Events", "conc_events.html#event_cmn_conf", null ]
      ] ],
      [ "Licenses", "conc_licenses.html", null ],
      [ "Recordings", "conc_recordings.html", [
        [ "Making a Recording", "conc_recordings.html#record_rec", null ],
        [ "Playing Back a Recording", "conc_recordings.html#record_play", null ],
        [ "Limitations", "conc_recordings.html#record_lim", null ]
      ] ],
      [ "Mock Nodes", "conc_mocks.html", null ]
    ] ],
    [ "Xml Scripts", "xmlscripts.html", [
      [ "Structure", "xmlscripts.html#xmlstruct", null ],
      [ "Licenses", "xmlscripts.html#xmllics", null ],
      [ "Log", "xmlscripts.html#xmllog", null ],
      [ "Production Nodes", "xmlscripts.html#xmlnodes", [
        [ "Global Mirror", "xmlscripts.html#xmlglobmirror", null ],
        [ "Recordings", "xmlscripts.html#xmlrec", null ],
        [ "Nodes", "xmlscripts.html#xmlnode", null ],
        [ "Recorder", "xmlscripts.html#xmlrecorder", [
          [ "Queries", "xmlscripts.html#xmlquery", null ],
          [ "Configuration", "xmlscripts.html#xmlconfig", null ],
          [ "Start Generating", "xmlscripts.html#xmlstartgen", null ]
        ] ]
      ] ]
    ] ],
    [ "Command-Line Utilities", "cmdutils.html", [
      [ "niReg", "nireg.html", [
        [ "Usage", "nireg.html#nireg_usage", null ]
      ] ],
      [ "niLicense", "nilicense.html", null ]
    ] ],
    [ "Additional Utilities", "additional.html", null ],
    [ "Getting Started - A Tutorial", "tutorials.html", [
      [ "Building and running a sample application", "build_and_run_sample.html", null ],
      [ "Creating an empty project that uses OpenNI", "new_app.html", [
        [ "To Create a simple project using OpenNI:", "new_app.html#create_new_app", null ]
      ] ],
      [ "Error codes", "error_codes.html", null ],
      [ "Basic Functions: initialize, create a node and read data", "basic.html", null ],
      [ "Enumerating possible production chains", "tut_enum.html", null ],
      [ "Understanding why enumeration failed", "tut_enumeration_errors.html", null ],
      [ "Configuring nodes", "tut_config.html", null ],
      [ "Configuring OpenNI using an XML file", "tut_xml.html", null ],
      [ "Playing a file recording", "tut_playing.html", null ],
      [ "Recording data", "tut_recording.html", null ]
    ] ],
    [ "Samples and Guides", "smpls_n_guides.html", [
      [ "Sample Programs for the OpenNI API", "smpls.html", [
        [ "Summary of Sample Programs", "smpls.html#smpls_overview", [
          [ "NiSimpleRead for C++", "smpls.html#nisimpleread", null ],
          [ "NiSimpleCreate for C++", "smpls.html#nisimplecreate", null ],
          [ "NiSimpleViewer for C++", "smpls.html#nisimpleviewer", null ],
          [ "NiConvertXToONI for C++", "smpls.html#niconvertxtooni", null ],
          [ "NiRecordSynthetic for C++", "smpls.html#nirecordsynthetic", null ],
          [ "NiBackRecorder for C++", "smpls.html#nibackrecorder", null ],
          [ "NiRecordRaw for C++", "smpls.html#nirecordraw", null ],
          [ "NiAudioSample for C++", "smpls.html#niaudiosample", null ],
          [ "SimpleRead for Java", "smpls.html#nisimplereadjava", null ]
        ] ]
      ] ],
      [ "Guides for OpenNI Development", "guides.html", [
        [ "Creating OpenNI Modules", "modules_root.html", [
          [ "Defining the Node Topology", "modules_topology.html", null ],
          [ "Creating a Node Implementation", "modules_node.html", [
            [ "Implement the Proper Interface", "modules_node_interface.html", null ],
            [ "Obtain Inputs", "modules_node_inputs.html", null ],
            [ "Support Capabilities", "modules_node_capabilities.html", null ],
            [ "Implementing a Generator", "modules_gen.html", [
              [ "The Generating State", "modules_gen.html#modules_gen_state", null ],
              [ "New Data", "modules_gen.html#modules_gen_new", null ],
              [ "Example A: An Active Generator", "modules_gen.html#modules_gen_active", null ],
              [ "Example B: A Passive Generator", "modules_gen.html#modules_gen_passive", null ]
            ] ]
          ] ],
          [ "Creating a Node Exporter", "modules_exporter.html", [
            [ "Node Description", "modules_exporter.html#modules_exporter_desc", null ],
            [ "Enumeration", "modules_exporter.html#modules_exporter_enum", null ],
            [ "Creating the Node", "modules_exporter.html#modules_exporter_create", null ],
            [ "Destroying the Node", "modules_exporter.html#modules_exporter_destroy", null ],
            [ "Example A: Exporter for a node which requires a physical device", "modules_exporter.html#modules_exporter_ex1", null ],
            [ "Example B: Exporter for a node which requires one input node", "modules_exporter.html#modules_exporter_ex2", null ],
            [ "Example C: Exporter for a node which requires two different nodes", "modules_exporter.html#modules_exporter_ex3", null ]
          ] ],
          [ "Module Entry Points", "modules_module.html", null ],
          [ "Registering the new Module", "modules_registration.html", null ]
        ] ]
      ] ]
    ] ],
    [ "Glossary  <br>", "glossary.html", [
      [ "Generator Class", "glossary.html#dict_gen_class", null ],
      [ "Generator Node", "glossary.html#dict_gen_node", null ],
      [ "Node Alternative", "glossary.html#node_alternative", null ],
      [ "Frame Objects", "glossary.html#glos_frame_object", null ],
      [ "Frame Data (Data Frame)", "glossary.html#frame_data", null ],
      [ "Frame Configuration", "glossary.html#frame_cfg", null ],
      [ "Holder Node", "glossary.html#holder_node", null ],
      [ "Meanings of 'User'", "glossary.html#meanings_of_user", null ],
      [ "Updating Nodes", "glossary.html#upd_node", null ]
    ] ],
    [ "Legal Stuff & Acknowledgments", "legal.html", null ]
];